Bug 6339 - Port Citation Assistant to JS framework and remove old citation.js
Port Citation Assistant to JS framework and remove old citation.js
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: General
2.4.x
PC Linux
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-09 10:26 PST by jerico
Modified: 2014-06-25 08:36 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects: OJS 2.3.x


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jerico 2011-01-09 10:26:52 PST
The ajaxAction() function in modal.js is obsolete. All occurrences should be replaced with link actions using the AjaxRequest request handler.
Comment 1 Juan Pablo Alperin 2011-07-11 22:52:38 PDT
Bruno, this is one that is very LOW priority, but something you could take on anytime you have nothing to do ;)
Comment 2 beghelli 2011-08-15 03:24:47 PDT
ajaxAction() function is being used only in citation assistant and in the filter form, in lib/pkp. Legacy link action still use it, but it´s deprecated.
Comment 3 Juan Pablo Alperin 2011-08-15 21:17:58 PDT
Marking as also affects OJS. We can consider this matter closed for OMP.
Comment 4 Alec Smecher 2012-03-12 10:20:02 PDT
Fix mail recipient name encoding
https://github.com/pkp/pkp-lib/commit/62b52367b9ec4d0a7e11fddb0c4ff0bd43fb9f25
Comment 5 Alec Smecher 2012-03-12 10:20:02 PDT
Fix mail recipient name encoding
https://github.com/pkp/pkp-lib/commit/6696b9b35e68f0f496a09594a5ae04991c817bc7
Comment 6 Alec Smecher 2012-03-12 10:25:01 PDT
Fix mail recipient name encoding
https://github.com/pkp/pkp-lib/commit/a6e24976df3e2c9fed36eb661c84322801065c63
Comment 7 Alec Smecher 2012-09-25 14:40:03 PDT
Removed dead code
https://github.com/pkp/pkp-lib/commit/e6366fea7340b864a203fa333e67339c20e3de49
Comment 8 Alec Smecher 2012-09-26 11:30:02 PDT
Removing LegacyLinkAction usage
https://github.com/pkp/ojs/commit/bac22f3e3acc3c01c641491f05fd86da2d8788e3
Comment 9 Alec Smecher 2012-09-26 11:30:02 PDT
Removing LegacyLinkAction usage
https://github.com/pkp/pkp-lib/commit/83874d7ca8bb964d1096db0d659533f332b0d5d7
Comment 10 Alec Smecher 2012-09-26 12:55:02 PDT
Removing LegacyLinkAction usage
https://github.com/pkp/pkp-lib/commit/b7b7949649df41c1c9bcf69189b2e55e32fadf7e
Comment 11 Alec Smecher 2012-09-26 13:20:02 PDT
Removing LegacyLinkAction usage
https://github.com/pkp/ojs/commit/5a86e143eec51d7db50fe9f98e8462a2f458f3d3
Comment 12 Alec Smecher 2012-09-26 14:05:01 PDT
Remove LegacyLinkAction
https://github.com/pkp/pkp-lib/commit/c0eb415d1ae9b08e7b7a0f37f6531c1596ca5acc
Comment 13 Alec Smecher 2012-09-26 15:55:02 PDT
Further removing deprecated JS code
https://github.com/pkp/pkp-lib/commit/658c15f83868414f969d40614d5b8c3984eb384c
Comment 14 Alec Smecher 2012-09-26 16:20:02 PDT
Deprecated citation assistant JS
https://github.com/pkp/ojs/commit/242915d16f15d0140c5d79038ac6f949fff05803
Comment 15 Jason Nugent 2012-10-04 11:40:02 PDT
remove inclusion of dead JS code
https://github.com/pkp/omp/commit/b0ff11e40b140e25416b6408fd65d78aef5a90df
Comment 16 Jason Nugent 2012-10-04 11:45:01 PDT
remove inclusion of dead JS code
https://github.com/pkp/omp/commit/906a8671aeef5221858a81886fed8969753394bd
Comment 17 Alec Smecher 2014-06-25 08:36:59 PDT
Deprecated.